
Advertising - Feature #1847

Menu icon

13 Sep 2011 13:52 - Pierluigi Soana

Status: Closed Start date: 13 Sep 2011

Priority: Normal Due date: 18 Aug 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

External issue:    

Description

The Advertisement menu voice doesn’t have an icon, like the other items;

 

Would it possible to define/associate one?

Associated revisions

Revision 18 - 18 Aug 2013 10:33 - Andriy Lesyuk

Added support for Classic theme (#1847)

Revision 19 - 18 Aug 2013 12:15 - Andriy Lesyuk

Refactored theme support to allow separate files (#1847)

History

#1 - 13 Sep 2011 14:03 - Pierluigi Soana

By the way, we use a custom theme with gravatar icons

#2 - 13 Sep 2011 15:46 - Andriy Lesyuk

- Tracker changed from Patch to Support

- Subject changed from menu icon to Menu icon

- Assignee set to Andriy Lesyuk

These icons are defined in the theme...

I can help you if you tell me what theme is this.

#3 - 13 Sep 2011 15:50 - Pierluigi Soana

We use a custom Theme, that overwrite the standard one for colors and fonts

#4 - 13 Sep 2011 16:00 - Andriy Lesyuk

Unfortunately, I can’t include an icon in the plugin because it will be set for all themes...

So workaround can be:

Download the following icon: megaphone.png  

http://www.iconfinder.com/icondetails/49375/16/advertisement_advertising_blog_megaphone_promote_icon

Or any other...

Put it into public/images and name e.g. advertisement.png

Add the following CSS to your custom CSS:
http://www.iconfinder.com/icondetails/49375/16/advertisement_advertising_blog_megaphone_promote_icon


#top-menu a.advertisements {

    background-image: url("../../../images/advertisement.png");

}

#5 - 13 Sep 2011 16:11 - Andriy Lesyuk

- Status changed from New to Open

#6 - 14 Sep 2011 08:57 - Pierluigi Soana

Take note that:

image must be 16 x 16 pixel

in the css file you must add

#top-menu a.advertisements { 

    background-position: 0% 40%;

    background-repeat: no-repeat;

    padding-left: 20px;

    padding-top: 2px;

    padding-bottom: 3px;

}

#top-menu a.advertisements { background-image: url(../../../images/advertisement.png); }

#7 - 07 Jan 2012 12:03 - Andriy Lesyuk

Other icons:

 kblogger.png  http://www.iconfinder.com/icondetails/8740/16/advertisement_advertising_blog_megaphone_promotion_speaker_icon

 megaphone.png  http://www.iconfinder.com/icondetails/26719/16/ad_advertisement_advertising_megaphone_promote_icon

#8 - 08 Jan 2012 00:40 - Andriy Lesyuk

- Tracker changed from Support to Feature

Ready to fix this if anyone needs this! But need a theme names (“Classic” and?..)! Or an idea how to do this without theme name...

#9 - 08 Jan 2012 00:41 - Andriy Lesyuk

- Status changed from Open to Incomplete
http://www.iconfinder.com/icondetails/8740/16/advertisement_advertising_blog_megaphone_promotion_speaker_icon
http://www.iconfinder.com/icondetails/26719/16/ad_advertisement_advertising_megaphone_promote_icon


#10 - 17 Aug 2013 15:28 - Andriy Lesyuk

- Status changed from Incomplete to Open

#11 - 17 Aug 2013 15:29 - Andriy Lesyuk

- Target version set to 0.2.0

#12 - 18 Aug 2013 10:35 - Andriy Lesyuk

- Due date set to 18 Aug 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

Currently the plugin supports only the Classic theme (but appropriate CSS rules can be easily changed in custom themes).

Files

menu.PNG 2.8 KB 13 Sep 2011 Pierluigi Soana
